package com.xinelu.manage.service.screeningproject;

import com.xinelu.manage.domain.screeningproject.ScreeningProject;
import java.util.List;

/**
 * @author haown
 * @description 针对表【sd_project(项目表)】的数据库操作Service
 * @createDate 2023-01-16 15:37:05
 */
public interface IScreeningProjectService {

	List<ScreeningProject> findList(ScreeningProject project);

	int insert(ScreeningProject project);

	int update(ScreeningProject project);

	void delete(ScreeningProject project);

	/**
	 * 检验机构是否存在相同名称服务项目
	 * @param projectName 项目名称
	 * @param hospitalId 机构id
	 * @param projectId 项目业务主键
	 * @return {@link boolean}
	 * @author gaoyu
	 * @date 2022-11-23 10:20
	 */
	boolean checkSameProjectName(String projectName, Long hospitalId, String projectId);
}
